Invoices API
Invoices API.
POST/dev/invoices
Create Invoice
Examples for the currencies listed in the table are on the right in the Example Request. You can switch between examples using the selector in the top right corner.
| Currency | Method | Example name |
|---|---|---|
| INR | UPI, IMPS, RTGS | India UPI, India IMPS, India RTGS |
| BDT | Bkash, Nagad, Rocket | Bangladesh Bkash, Bangladesh Nagad, Bangladesh Rocket, |
| EGP | Instapay, Etisalat, Vodafone, Orange |
Request parameters
- Name
project- Type
- string
- Required
- required
- Description
Your project ID
- Name
currency- Type
- string
- Required
- required
- Description
Currency code
- Name
description- Type
- string
- Required
- required
- Description
Description
- Name
failure_url- Type
- string
- Required
- required
- Description
Failure URL
- Name
ip- Type
- string
- Required
- required
- Description
IP Address
- Name
order_id- Type
- string
- Required
- required
- Description
Merchant order ID
- Name
price- Type
- string
- Required
- required
- Description
Amount to be paid
- Name
result_url- Type
- string
- Required
- required
- Description
Callback ID
- Name
success_url- Type
- string
- Required
- required
- Description
Success URL
- Name
user_contact_email- Type
- string
- Required
- required
- Description
User email
- Name
user_name- Type
- string
- Required
- required
- Description
User name
- Name
user_phone- Type
- string
- Required
- required
- Description
User phone
- Name
cancel_url- Type
- string
- Required
- optional
- Description
Cancel URL
- Name
signature- Type
- string
- Required
- required
- Description
Request signature
Response Parameters
- Name
invoice_id- Type
- string
- Required
- Description
Invoice ID
- Name
transaction_status- Type
- string
- Required
- Description
Transaction status
- Name
payment_url- Type
- string
- Required
- Description
Invoice URL
- Name
order_id- Type
- string
- Required
- Description
Merchant order ID
- Name
user_contact_email- Type
- string
- Required
- Description
User contact email
- Name
description- Type
- string
- Required
- Description
Payment description
- Name
amount- Type
- string
- Required
- Description
Invoice amount
- Name
currency- Type
- string
- Required
- Description
Invoice currency
- Name
created_at- Type
- string
- Required
- Description
Created at date
- Name
updated_at- Type
- string
- Required
- Description
Updated at date
Request
POST
/dev/invoicescurl -X POST https://api.nodapay.ai/dev/invoices \
-H "Content-Type: application/json" \
-d '{
"project": "d7d86391b36b4543bc1cf87cbd2ee6c9",
"currency": "USD",
"description": "test payment",
"failure_url": "https://merchant.com/failure",
"ip": "8.8.8.8",
"order_id": "1234567",
"price": "1.00",
"result_url": "https://merchant.com/result",
"success_url": "https://merchant.com/success",
"user_contact_email": "customer@example.com",
"user_name": "John Doe",
"user_phone": "55555555",
"signature": "6e141967053a319302d066f05e35c52baf32e11ff45a8d5f2d71fef872a8bfab"
}'
Response
{
"invoice_id": "1692856297765_SbKKaLClvPvYmvSWnHKkxYjh",
"transaction_status": "created",
"payment_url": "https://api.example.com/dev/web/card/1692856297765_SbKKaLClvPvYmvSWnHKkxYjh",
"order_id": "1234567",
"user_contact_email": "customer@example.com",
"description": "test payment",
"amount": "1.00",
"currency": "USD",
"created_at": "2023-08-24T05:51:38.166Z",
"updated_at": "2023-08-24T05:51:38.166Z"
}
POST/dev/invoices/status
Invoice status
Get invoice status by invoice ID
Request parameters
- Name
project- Type
- string
- Required
- required
- Description
Your project ID
- Name
invoice_id- Type
- string
- Required
- required
- Description
Invoice ID
- Name
signature- Type
- string
- Required
- required
- Description
Request signature
Request
POST
/dev/invoices/statuscurl https://api.nodapay.ai/dev/invoices/status \
-H "Content-Type: application/json" \
-d '{
"project": "d7d86391b36b4543bc1cf87cbd2ee6c9",
"invoice_id": "1692856297765_SbKKaLClvPvYmvSWnHKkxYjh",
"signature": "b4a30aae41ae6091bc45d6fbf1dd720c43ecd61dbbda9bd275d40e345732f2a4"
}'
Response
{
"invoice_id": "1692856297765_SbKKaLClvPvYmvSWnHKkxYjh",
"transaction_status": "created",
"order_id": "1234567",
"amount": "1.00",
"amount_gross": "1.00",
"currency": "USD",
"created_at": "2023-08-24T05:51:38.228Z",
"updated_at": "2023-08-24T05:51:38.228Z",
"status_code": null,
"status_description": null
}